/// <reference types="node" />
import { RServerConfig, Data, Files } from '../@types/index';
export default class {
    private entryPath;
    private config;
    constructor(entryPath: string, config: RServerConfig);
    /**
     * resolves the field name by removing trailing bracket
     */
    private resolveFieldName;
    /**
     * assigns a single field or multi value field value to the body
     */
    private assignBodyValue;
    /**
     * stores a file into the given files object
     */
    private assignFileValue;
    /**
     * processes and stores file
     */
    private processFile;
    /**
     * parses a multipart part headers.
     */
    private parseHeaders;
    /**
     * parse multipart form data
     *@see https://www.w3.org/Protocols/rfc1341/7_2_Multipart.html
     */
    private parseMultiPart;
    /**
     * parse json content
     */
    private parseJSON;
    /**
     * parse url encoded request body
     */
    private parseUrlEncoded;
    /**
     * parse the query parameters in the given url
     */
    parseQueryString(url: string): Data;
    /**
     *@param {Buffer} buffer - the buffer data
     *@param {string} contentType - the request content type
     */
    parse(buffer: Buffer, contentType: string): {
        files: Files;
        body: Data;
    };
    /**
     * clean up temp files
     */
    cleanUpTempFiles(files: Files): void;
}
