import Response from './Response';
import { RServerConfig } from '../@types';
import Request from './Request';
export default class Logger {
    private config;
    private errorLogHandle;
    private accessLogHandle;
    constructor(entryPath: string, config: RServerConfig);
    /**
     * close the handles once the server is closed
     */
    close(): this;
    /**
     * runs the error logging
     */
    logError(level: string, err: Error): this;
    /**
     * logs access information
     */
    private logAccess;
    /**
     * log request response profile
     */
    profile(req: Request, res: Response): this;
    /**
     * logs fatal error to error log file and ends the response
     */
    fatal(err: Error, response: Response): Promise<boolean>;
    /**
     * log warning message to the console
     */
    warn(message: string): this;
    /**
     * log info message to the console
     */
    info(message: string): this;
}
